Subject: Re: Notes on Using Git with Subprojects

From: Shawn Pearce <[email-masked]>
Date: Thu, 28 Sep 2006 00:09:31 -0400

Jeff King <[email-masked]> wrote:
> On Wed, Sep 27, 2006 at 11:58:55PM -0400, Shawn Pearce wrote:
> 
> > If you are fetching a set of commits from a repository you probably
> > should be fetching any tags that point at the commits you've fetched.
> > They tend to be few compared to the commits, they tend to be small,
> > and they tend to be important milestones in the tracked project.
> > 
> > I think that's why the native Git protocol sends tags for any
> > commits that were also sent.  :)
> 
> Oh, that's clever. :)
> 
> Do we do the right thing for non-git transports?

Yes, I think we do.

Only its not quite as clever as the HTTP/FTP commit walker first
needs to get a list of available refs (which includes tag and
tag^{}) and compares each obtained commit to the ^{} entries.
If there's a match it gets the tag.

And rsync being as dumb as it is should be fetching everything. :)

-- 
Shawn.